ARP(8)

NOM
arp — Gérer le cache ARP du système

SYNOPSIS
arp [-vn] [-H type] [-i interface] [-ae] [nom_hôte]

arp [-v] [-i interface] -d nom_hôte [pub]

arp [-v] [-H type] [-i interface] -s nom_hôte adresse_physique [temp]

arp [-v] [-H type] [-i interface] -s nom_hôte adresse_physique [netmask masque] pub

arp [-v] [-H type] [-i interface] -Ds nom_hôte nom_interface [netmask masque] pub

arp [-vnD] [-H type] [-i interface] -f [nom_fichier]

DESCRIPTION
arp gère et affiche le cache de voisinage du réseau IPv4 du noyau. Il peut ajouter des entrées à la table, en supprimer une ou en afficher le contenu.

ARP signifie « Address Resolution Protocol » (protocole de résolution d’adresse) et permet de trouver l’adresse physique « media access control » (MAC) correspondant à une adresse IPv4 donnée dans le voisinage réseau.

MODES
Invoqué sans spécificateur de mode, arp affiche le contenu actuel de la table. Il est possible de limiter le nombre d’entrées affichées en spécifiant un type d’adresse physique, un nom d’interface ou une adresse d’hôte.

arp -d adresse supprime l’entrée correspondante de la table ARP. Cette opération nécessite les droits du superutilisateur ou de l’administrateur du réseau. Cette entrée est trouvée selon l’adresse IP. Si un nom d’hôte est spécifié, il sera résolu avant de rechercher l’entrée correspondante dans la table ARP.

arp -s adresse adresse_physique permet d’ajouter une nouvelle entrée dans la table. Le format de l’adresse_physique dépend de la classe de matériel, mais pour la plupart des classes, la présentation habituelle peut être utilisée. Pour la classe Ethernet, il s’agit de 6 octets en hexadécimal séparés par des deux-points (« : »). Lors de l’ajout d’entrées de mandataire ARP (celles pour lesquelles le commutateur pub , pour publiée, est défini), l’option netmask peut être définie pour le mandataire ARP de l’ensemble des sous-réseaux. Ce n’est pas une pratique recommandée, mais elle est prise en charge par les noyaux anciens, car elle peut s’avérer utile. Si le commutateur temp n’est pas spécifié, les entrées seront stockées de manière permanente dans le cache de ARP. Pour simplifier la définition des entrées pour une de vos propres interfaces réseau, vous pouvez utiliser le format arp -Ds adresse nom_interface. Dans ce cas, l’adresse physique sera celle de l’interface possédant le nom spécifié.

OPTIONS

-v, --verbose
    Indiquer en détail à l'utilisateur le déroulé des opérations.

-n, --numeric
    Afficher les adresses numériques au lieu d'essayer de déterminer l'hôte symbolique, le port ou les noms d’utilisateur.

-H type, --hw-type type, -t type
    En gérant ou en lisant le cache de ARP, ce paramètre optionnel indique à arp les classes d'entrée qu'il doit contrôler. La valeur par défaut de ce paramètre est ether (c’est-à-dire code 0x01 pour la norme IEEE 802.3 10Mbps Ethernet. D'autres valeurs correspondent à des technologies réseau telles que ARCnet (arcnet), PROnet (pronet), AX.25 (ax25) et NET/ROM (netrom).

-a  Utiliser un format de sortie de style BSD (sans colonnes de taille fixe).

-e  Utiliser le format de sortie par défaut de style Linux (avec colonnes de taille fixe).

-D, --use-device
    L’argument spécifié est le nom d’une interface au lieu d’une adresse physique. arp utilisera l’adresse MAC de cette interface pour l’entrée dans la table. Il s’agit en général de la meilleure solution pour définir une entrée de mandataire ARP pour vous-même.

-i interface, --device interface
    Sélectionner une interface. Lors du vidage du cache ARP, seules les entrées correspondant à l'interface spécifiée seront affichées. Lorsque l'on définit une entrée permanente ou une entrée temp, cette interface lui sera associée ; si cette option n'est pas utilisée, le noyau fera des tentatives de résolution en tenant compte de la table de routage. Pour les entrées pub, l'interface spécifiée est celle pour laquelle les requêtes ARP auront trouvé une réponse.
    NOTE 1 : cela est différent de l'interface vers laquelle les datagrammes IP seront routés. NOTE 2 : à partir du noyau 2.2.0, il n'est plus possible de définir des entrées ARP pour un sous-réseau entier. Au lieu de cela, Linux crée un mandataire ARP automagique lorsqu’une route existe et qu’elle est en cours de transfert. Voir arp(7) pour les détails. En outre, l’option dontpub qui est disponible pour les opérations d’ajout et de suppression ne peut plus être utilisée à partir de la version 2.4 du noyau.

-f nom_fichier, --file nom_fichier
    Similaire à l'option -s, mais cette fois les informations d'adresse sont prises dans le fichier nom_fichier. Cette option peut être utilisée s’il y a de nombreuses entrées ARP à configurer. Le nom du fichier de données est très souvent nommé /etc/ethers (le nom par défaut), mais ce n'est pas systématique.

    Le format du fichier est simple ; il ne contient que des lignes de texte en ASCII, chacune d’entre elles comportant un nom d'hôte et une adresse physique séparés par un blanc. Les indicateurs pub, temp et netmask peuvent également être utilisés.

Chaque fois qu’un nom_hôte est attendu, on peut aussi entrer une addresse_IP en notation décimale pointée.

À titre exceptionnel et à des fins de compatibilité, l’ordre de spécification du nom d’hôte et l’adresse physique peut être inversé.

Chaque entrée complète se trouvant dans le cache ARP est marquée de l'indicateur C. Les entrées permanentes sont marquées de l'indicateur M et les entrées publiées ont l'indicateur P.

EXEMPLES
/usr/sbin/arp -i eth0 -Ds 10.0.0.2 eth1 pub

Avec cet exemple, le résultat des requêtes ARP pour l’adresse IP 10.0.0.2 sur l’interface eth0 sera l’adresse MAC d’eth1.

/usr/sbin/arp -i eth1 -d 10.0.0.1

Supprimer l’entrée de la table ARP pour l’adresse IP 10.0.0.1 sur l’interface eth1. Cela concerne les entrées de mandataire ARP publiées et les entrées permanentes.

FICHIERS
/proc/net/arp
/etc/networks
/etc/hosts
/etc/ethers

VOIR AUSSI
ethers(5), rarp(8), route(8), ifconfig(8), netstat(8)

AUTEURS
Fred N. van Kempen <waltje@uwalt.nl.mugnet.org>, Bernd Eckenfels <net-tools@lina.inka.de>.

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean Michel VANSTEENE <vanstee@worldnet.fr> et Lucien Gentis <lucien.gentis@univ-lorraine.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.